/* 
 *  arch-tag: Header for queue panel toggle container
 *
 *  Copyright (C) 2003 Colin Walters <walters@verbum.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 */

#include <gtk/gtkhbox.h>
#include <gtk/gtkactiongroup.h>

#include "rb-source.h"

#ifndef __RB_QUEUE_HEADER_H
#define __RB_QUEUE_HEADER_H

G_BEGIN_DECLS

#define RB_TYPE_QUEUE_HEADER         (rb_queue_header_get_type ())
#define RB_QUEUE_HEADER(o)           (G_TYPE_CHECK_INSTANCE_CAST ((o), RB_TYPE_QUEUE_HEADER, RBQueueHeader))
#define RB_QUEUE_HEADER_CLASS(k)     (G_TYPE_CHECK_CLASS_CAST((k), RB_TYPE_QUEUE_HEADER, RBQueueHeaderClass))
#define RB_IS_QUEUE_HEADER(o)        (G_TYPE_CHECK_INSTANCE_TYPE ((o), RB_TYPE_QUEUE_HEADER))
#define RB_IS_QUEUE_HEADER_CLASS(k)  (G_TYPE_CHECK_CLASS_TYPE ((k), RB_TYPE_QUEUE_HEADER))
#define RB_QUEUE_HEADER_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS ((o), RB_TYPE_QUEUE_HEADER, RBQueueHeaderClass))

typedef struct RBQueueHeaderPrivate RBQueueHeaderPrivate;

typedef struct
{
	GtkHBox parent;

	RBQueueHeaderPrivate *priv;
} RBQueueHeader;

typedef struct
{
	GtkTableClass parent_class;
} RBQueueHeaderClass;

GType			rb_queue_header_get_type	(void);

RBQueueHeader *		rb_queue_header_new		(GtkActionGroup *actiongroup);

void			rb_queue_header_set_source	(RBQueueHeader *header, 
							 RBSource *source);

void			rb_queue_header_sync_control_state_int (RBQueueHeader *header);
void			rb_queue_header_sync_control_state (GtkWidget *disclosure,
							    GtkWidget *header,
							    RBSource *selected_source,
							    RBSource *queue_source,
							    GtkActionGroup *actiongroup);


G_END_DECLS

#endif /* __RB_QUEUE_HEADER_H */
